{{/*
  Copyright (c) 2024 Eclipse Foundation, Inc.

  This program and the accompanying materials are made available under the
  terms of the Eclipse Public License v. 2.0 which is available at
  http://www.eclipse.org/legal/epl-2.0.

  SPDX-License-Identifier: EPL-2.0
*/}}

{{$currLang:=.Page.Lang }}
{{ $year := .Get "year" }}
{{ if $year }}
  {{ .Scratch.Set "base" (index (index .Site.Data $currLang) $year) }}
{{ else }}
  {{ .Scratch.Set "base" (index .Site.Data $currLang) }}
{{ end }}
{{ $base := .Scratch.Get "base" }}
{{ $event_id := .Get "event" | default "default" }}
{{ $src := .Get "src" | default "agenda" }}
{{ $icon_class := .Get "icon_class" | default "fa-file"}}
{{ $agendabase := (index (index $base $event_id) $src) }}
{{ $types := $agendabase.types }}
{{ $complete := $agendabase.complete }}
{{ $agendaItemsBase := slice $agendabase }}

<ul class="row list-unstyled">
{{ range $index, $set := $agendaItemsBase }}
  {{ range $set.items }}
    <li class="col-sm-8">
      <a 
        class="session-card match-height-item-by-row link-unstyled"
        href="#" 
        title='{{ i18n "agenda-abstract-modal-alt" . }}' 
        data-toggle="modal" 
        data-target="#eclipsefdn-modal-event-session" 
        data-title="{{ .name }}" 
        {{ with .presenters }} data-presenter='{{ delimit . ", " " and " }}' {{ end }} 
        data-time=""
      >
        <h3 class="session-card-title">{{ .name }}</h3>
        <div class="session-card-metadata margin-bottom-10">
          {{ if and (ne .presenters nil) (gt (len .presenters) 0) }}
            <i class="fa fa-user" aria-hidden="true"></i>
              <span>{{ delimit .presenters ", " " and " }}</span>
          {{ end }}
        </div>
        <div class="session-card-content">
          {{ if .abstract }}
            <p>
              {{ trim (slicestr (.abstract | plainify) 0 150) " " }}...
              Read More
            </p>
          {{ end }}
        </div>
        <div class="modal-content hidden">{{ .abstract | safeHTML }}</div>
      </a>
    </li>
  {{ end }}
{{ end }}
</ul>

